using System;
using System.Collections.Generic;
using System.Text;
using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class PlanCalendarItem : ImportBase
    {
        [ExcelColumn("设备位置")]
        public string Location { get; set; }

        [ExcelColumn("项目内容")]
        public string content { get; set; }

        [ExcelColumn("维护类型 1->AM；2->PM；3->CMP")]
        public string mode { get; set; }

        [ExcelColumn("项目分类 1->润滑；2->检查；3->紧缩；4->清洁；5->调整；6->更换；10->电气；11->机械；12->TS；13->设施")]
        public string severity_level { get; set; }

        [ExcelColumn("执行时间（分钟）")]
        public int standard_time { get; set; }

        [ExcelColumn("执行时间")]
        public string time { get; set; }

        [ExcelColumn("状态")]
        public string status { get; set; }

        [ExcelColumn("执行人")]
        public string name { get; set; }
    }
}
